{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "mnp_ci:ink_bubble",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/particles"
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"creation_expression": "v.speed=10;"
			},
			"minecraft:emitter_rate_instant": {
				"num_particles": 1
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {
				"direction": ["math.random(-1,1)", "math.random(-1,1)", "math.random(-1,1)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "2 / ((math.random(0, 1) * 0.8 + 0.2) * 5)"
			},
			"minecraft:particle_expire_if_not_in_blocks": ["minecraft:water", "minecraft:flowing_water", "minecraft:bubble_column"],
			"minecraft:particle_initial_speed": "v.speed",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, 0.8, 0],
				"linear_drag_coefficient": 5.25
			},
			"minecraft:particle_appearance_billboard": {
				"size": ["(0.06*v.particle_random_1+0.12)*(v.particle_random_2+0.22)", "(0.06*v.particle_random_1+0.12)*(v.particle_random_2+0.22)"],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [16, 16],
					"uv_size": [8, 8]
				}
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": [0, 0.00392, 0.95686, 1]
			}
		}
	}
}